#pragma once
#include "Entity.h"
#define CS_ENEMY_BLACKBAT_HOVER_CREATENAME L"CS_enemy_blackbat_hover"
//µÐÈË£ººÚòùòð£¨ÅÌÐý£©
class CS_Enemy_BlackBat_Hover :
    public Entity
{
public:
    CS_Enemy_BlackBat_Hover();
    void Step();
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    int ani_no = 0;
    float tgt_x = 0;
    float tgt_y = 0;
    int ani_wait = 0;
    int count1 = 0;
};

std::shared_ptr<Entity> CreateCS_Enemy_BlackBat_Hover();